#!/usr/bin/env python

# Copyright (c) 2000-2001 LOGILAB S.A. (Paris, FRANCE).
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__revision__ = "$Id: NpmManager.py,v 1.9 2001/10/12 13:34:38 alf Exp $"


from narval.bibal import *

class NpmManager:
    """
    install/uninstall manager using singleton 'pattern'
    """

    _DICT_ = {}

    def __init__(self):
        self.__dict__ = self._DICT_

    # install party
    
    def install(self,pkg_name):
        if pkg_name != '*.npm':
            from narval import npm
            check_for_home()
            options = {'HOME':config.get_home()}
            npm.install(pkg_name,options)
        else:
            print "..............."

    # uninstall party
    
    def uninstall(self,manif):
        if manif != '*.manifest':
            from narval import npm 
            check_for_home()
            options = {'HOME':config.get_home()}
            npm.uninstall(manif,options)
        else:
            print "..............."

    def list_packages(self) :
        from narval import npm
        check_for_home()
        options = {'HOME':config.get_home()}
        return npm.list_packages(options)
